//W tym przykładzie tłem może być obraz innego typu niż .BMP
//w przykładzie P12 tylko .BMP
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,JPEG,extctrls, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Bitmap: TBitmap;
implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Label1.Transparent:=true; //ustawienie przeźroczystości etykiety
  Label1.Caption:='Zmiana nie spowodowała wymazania tła';
end;

procedure TForm1.FormCreate(Sender: TObject);
var obraz:TImage;   //trzeba zadeklarować moduł ExtCtrls
begin
  Bitmap:=TBitmap.Create;
  {Bitmap.LoadFromFile('wzorek.bmp');}

  //zamiana formatu obrazu (JPG, GIF, PNG i innych) na TBitmap
  obraz:=TImage.Create(Self);
  obraz.Picture.LoadFromFile('wzorek.jpg');
  Bitmap.Assign(obraz.Picture.Graphic);
end;

procedure TForm1.FormPaint(Sender: TObject);
var x, y: Integer;
begin
   y := 0;
   while y < Height do
   begin
       x := 0;
      while x < Width do
      begin
         Canvas.Draw(x, y, Bitmap);
          x := x + Bitmap.Width;
      end;
      y := y + Bitmap.Height;
   end;
end;

end.
